summaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorMark Wielaard <mark@klomp.org>2018-07-04 23:08:41 +0200
committerMark Wielaard <mark@klomp.org>2018-07-04 23:08:41 +0200
commit45591ea8e54c4af4ae9a00ed85f22e09133e3dcf (patch)
tree060106f2eb24c34b325becd605889c67498976dd /config
parentaa36de0335e3ce12898954985a208f6336731289 (diff)
config: Add upload-release.sh script.
Should be run after making a release to upload the new tar.bz2, signature file and update the latest symlinks. Make sure to run make distcheck first. Requires a shell account on sourceware. Signed-off-by: Mark Wielaard <mark@klomp.org>
Diffstat (limited to 'config')
-rw-r--r--config/ChangeLog4
-rwxr-xr-xconfig/upload-release.sh31
2 files changed, 35 insertions, 0 deletions
diff --git a/config/ChangeLog b/config/ChangeLog
index 0e9cc28c..f281eb27 100644
--- a/config/ChangeLog
+++ b/config/ChangeLog
@@ -1,3 +1,7 @@
+2018-07-04 Mark Wielaard <mark@klomp.org>
+
+ * upload-release.sh: New file.
+
2018-06-11 Mark Wielaard <mark@klomp.org>
* elfutils.spec.in: Update for 0.172.
diff --git a/config/upload-release.sh b/config/upload-release.sh
new file mode 100755
index 00000000..320d1ada
--- /dev/null
+++ b/config/upload-release.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# Any error is fatal
+set -e
+
+# We take one arguent, the version (e.g. 0.173)
+if [ $# -ne 1 ]; then
+ echo "$0 <version> (e.g. 0.169)"
+ exit 1
+fi
+
+VERSION="$1"
+
+# Check we are in the build dir already configured.
+ELFUTILS_VERSION=$(echo $VERSION | cut -f2 -d\.)
+grep $ELFUTILS_VERSION version.h \
+ || (echo "Must be run in configured build dir for $VERSION"; exit -1)
+
+make dist
+
+mkdir $VERSION
+cp elfutils-$VERSION.tar.bz2 $VERSION/
+cd $VERSION/
+gpg -b elfutils-$VERSION.tar.bz2
+cd ..
+scp -r $VERSION sourceware.org:/sourceware/ftp/pub/elfutils/
+
+ssh sourceware.org "(cd /sourceware/ftp/pub/elfutils \
+ && ln -sf $VERSION/elfutils-$VERSION.tar.bz2 elfutils-latest.tar.bz2 \
+ && ln -sf $VERSION/elfutils-$VERSION.tar.bz2.sig elfutils-latest.tar.bz2.sig \
+ && ls -lah elfutils-latest*)"